#include <kgi/system.h>
#include <kgi/module.h>

static kgiu16 dac_port[4] =
{
	0x3C8, 0x3C9, 0x3C6, 0x3C7
};

void DAC_out8(struct kgi_display *dpy, kgiu8 value, kgiu8 dac_reg)
{
	if (dac_reg & ~0x3)
	{
		DEBUG1("DAC register select lines truncated: %x to %x",
		dac_reg, dac_reg &= 0x3);
	}
	io_out8(value, dac_port[dac_reg & 0x03]);
}

kgiu8 DAC_in8(struct kgi_display *dpy, kgiu8 dac_reg)
{
	if(dac_reg & ~0x03)
	{
		DEBUG1("DAC register select lines truncated: %x to %x",
		dac_reg, dac_reg &= 0x03);
	}
	return io_in8(dac_port[dac_reg & 0x03]);
}

void DAC_ins8(struct kgi_display *dpy,kgiu8 dac_reg,void *buf, kgi_uint count)
{
	if(dac_reg & ~0x03)
	{
		DEBUG1("DAC register select lines truncated: %x to %x",
		dac_reg, dac_reg &= 0x3);
	}
	io_ins8(dac_port[dac_reg & 0x03], buf, count);
}                                                                       

void DAC_outs8(struct kgi_display *dpy, kgiu8 dac_reg, void *buf, kgi_uint count)
{
	if(dac_reg & ~0x03)
	{
		DEBUG1("DAC register select lines truncated: %x to %x",
		dac_reg, dac_reg &= 0x03);
	}
	io_outs8(dac_port[dac_reg & 0x03], buf, count);
}                                                                       

void CLK_out8(struct kgi_display *dpy, kgiu8 val, kgiu8 reg)
{
}
